build test failure in Wikibase\Client\Tests\Store\Sql\BulkSubscriptionUpdaterTest::testPurgeSubscriptions
Closed, ResolvedPublic1 Story Points

Description

https://integration.wikimedia.org/ci/job/mwext-Wikidata-testextension-zend/312/console

12:31:03 1) Wikibase\Client\Tests\Store\Sql\BulkSubscriptionUpdaterTest::testPurgeSubscriptions
12:31:03 Failed asserting that two arrays are equal.
12:31:03 --- Expected
12:31:03 +++ Actual
12:31:03 @@ @@
12:31:03  Array (
12:31:03      0 => 'dewiki@P11'
12:31:03      1 => 'dewiki@Q11'
12:31:03      2 => 'dewiki@Q22'
12:31:03      3 => 'frwiki@Q22'
12:31:03 +    4 => 'jenkins_u1_mw@Q33'
12:31:03  )
12:31:03 
12:31:03 /mnt/jenkins-workspace/workspace/mwext-Wikidata-testextension-zend/src/extensions/Wikidata/extensions/Wikibase/client/tests/phpunit/includes/store/sql/BulkSubscriptionUpdaterTest.php:87
12:31:03 /mnt/jenkins-workspace/workspace/mwext-Wikidata-testextension-zend/src/tests/phpunit/MediaWikiTestCase.php:131
JanZerebecki updated the task description. (Show Details)
JanZerebecki raised the priority of this task from to Unbreak Now!.
JanZerebecki added a subscriber: JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2015, 2:59 PM

https://travis-ci.org/wikimedia/mediawiki-extensions-Wikibase/jobs/65395473#L666 may be related:

1) Wikibase\Client\Test\Usage\UsageTrackingIntegrationTest::testUpdateUsageOnTemplateChange
Failed asserting that two arrays are equal.
--- Expected
+++ Actual
@@ @@
 Array (
-    0 => 'Q33#O'
+    0 => 'Q22#O'
+    1 => 'Q33#O'
 )

/home/travis/build/wikimedia/phase3/extensions/Wikibase/client/tests/phpunit/includes/Usage/UsageTrackingIntegrationTest.php:212
/home/travis/build/wikimedia/phase3/extensions/Wikibase/client/tests/phpunit/includes/Usage/UsageTrackingIntegrationTest.php:183
/home/travis/build/wikimedia/phase3/tests/phpunit/MediaWikiTestCase.php:131

2) Wikibase\Client\Tests\Store\Sql\BulkSubscriptionUpdaterTest::testPurgeSubscriptions
Failed asserting that two arrays are equal.
--- Expected
+++ Actual
@@ @@
 Array (
     0 => 'dewiki@P11'
     1 => 'dewiki@Q11'
     2 => 'dewiki@Q22'
-    3 => 'frwiki@Q22'
+    3 => 'enwiki@Q22'
+    4 => 'enwiki@Q33'
+    5 => 'frwiki@Q22'
 )

/home/travis/build/wikimedia/phase3/extensions/Wikibase/client/tests/phpunit/includes/store/sql/BulkSubscriptionUpdaterTest.php:87
/home/travis/build/wikimedia/phase3/tests/phpunit/MediaWikiTestCase.php:131
JanZerebecki set Security to None.Jun 4 2015, 3:06 PM
JanZerebecki added subscribers: Addshore, daniel.
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.Jun 6 2015, 6:34 PM

Change 216666 had a related patch set uploaded (by JanZerebecki):
Delete subscriptions to create fixture before test.

https://gerrit.wikimedia.org/r/216666

Change 216666 merged by jenkins-bot:
Delete subscriptions to create fixture before test.

https://gerrit.wikimedia.org/r/216666

JanZerebecki closed this task as Resolved.Jun 8 2015, 2:24 PM
JanZerebecki moved this task from Backlog to Done on the Wikidata-Sprint-2015-06-02 board.
JanZerebecki claimed this task.